Bug 104248 - ssl.conf modification
ssl.conf modification
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-11 15:06 EDT by Christopher McCrory
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: 2.0.46-20.ent
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-23 07:52:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher McCrory 2003-09-11 15:06:39 EDT
Description of problem:

ssl.conf could be better (not that is is bad:)

Version-Release number of selected component (if applicable):
[chrismcc@webtest165 /]$ rpm -q httpd
httpd-2.0.46-17.ent

How reproducible:
after httpd.conf modification

Steps to Reproduce:
1. install httpd
2. install mod_ssl
3. change httpd.conf
    
Actual results:
differences not carried from http:// to https://

Expected results:
same in both types of URLs

Additional info:

If (as I am) you use a different document root than the built in default such as
/web/docroot the ssl "<VirtualHost _default_:443>" breaks and you must change it
also.  After some experimenting, I found the following directives will inherent
the global configs and don't have to be 're-set' in /etc/httpd/conf.d/ssl.conf


( ignore the TransferLog line )
 
[chrismcc@webtest165 conf.d]$ diff ssl.conf.NO ssl.conf -u
--- ssl.conf.NO 2003-09-01 13:34:50.000000000 -0700
+++ ssl.conf    2003-09-11 11:47:25.000000000 -0700
@@ -101,11 +101,11 @@
 <VirtualHost _default_:443>
  
 #  General setup for the virtual host
-DocumentRoot "/var/www/html"
-ServerName new.host.name:443
-ServerAdmin you@your.address
-ErrorLog logs/ssl_error_log
-TransferLog logs/ssl_access_log
+### DocumentRoot "/var/www/html"
+### ServerName new.host.name:443
+### ServerAdmin you@your.address
+### ErrorLog logs/ssl_error_log
+### TransferLog logs/ssl_access_log
  
 #   SSL Engine Switch:
 #   Enable/Disable SSL for this virtual host.
@@ -222,7 +222,7 @@
 <Files ~ "\.(cgi|shtml|phtml|php3?)$">
     SSLOptions +StdEnvVars
 </Files>
-<Directory "/var/www/cgi-bin">
+<Directory "/web/cgi-bin">
     SSLOptions +StdEnvVars
 </Directory>
  
[chrismcc@webtest165 conf.d]$


chrismcc@morticia tmp]$ lynx -dump https://webtest165 | grep -i
"Document_Root\|Server_Name\|Server_Admin"
   _SERVER["SERVER_NAME"] webtest165
   _SERVER["DOCUMENT_ROOT"] /web/docroot
   _SERVER["SERVER_ADMIN"] webmaster@pricegrabber.com



[chrismcc@morticia tmp]$ lynx -dump https://webtest165/broke

==> error_log <==
[Thu Sep 11 12:03:26 2003] [error] [client 192.168.10.15] File does not exist:
/web/docroot/broke




My suggestion would be to not put those lines in ssl.conf , but let them come
from the parent config.
Comment 1 Joe Orton 2003-10-23 07:52:44 EDT
This was mostly done in 2.0.46-20.ent - thanks for the report.

# DocumentRoot "/var/www/html"
# ServerAdmin you@your.address
# ServerName new.host.name:443

ErrorLog and TransferLog are deliberately left customised for the SSL vhost.

Note You need to log in before you can comment on or make changes to this bug.